Download it now!
Bug 95400 - FILEOPEN: SVG: textLength and lengthAdjust attributes are not imported
Summary: FILEOPEN: SVG: textLength and lengthAdjust attributes are not imported
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
: 95401 (view as bug list)
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2015-10-28 18:46 UTC by Xisco Faulí
Modified: 2019-06-20 02:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sampleTextLength (440 bytes, image/svg+xml)
2015-10-28 18:46 UTC, Xisco Faulí
Details
how it looks in chrome (6.80 KB, image/png)
2015-10-28 18:47 UTC, Xisco Faulí
Details
printscreen (123.11 KB, image/png)
2015-10-29 14:16 UTC, raal
Details
sampleTextLength.svg in LO Draw 6.1 beta 2 (19.72 KB, image/png)
2018-06-19 14:39 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2015-10-28 18:46:47 UTC
Created attachment 120055 [details]
sampleTextLength

Steps:
1. Open attached document and compare with the image
Comment 1 Xisco Faulí 2015-10-28 18:47:22 UTC
Created attachment 120056 [details]
how it looks in chrome
Comment 2 raal 2015-10-29 14:16:06 UTC
Created attachment 120077 [details]
printscreen

I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 9a85743766e8a063d20d5f93ee88758e243397f4
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-23_00:56:3
Comment 3 Heiko Tietze 2016-05-17 13:50:42 UTC
Not sure if this isn't rather a svg filter issue (see also 88278), but similar observations have been made with the pdf filter (see also 81484).
Comment 4 Heiko Tietze 2016-05-17 13:58:39 UTC
*** Bug 95401 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2017-05-22 13:41:15 UTC Comment hidden (obsolete)
Comment 6 Roman Kuznetsov 2018-06-19 14:39:28 UTC
Created attachment 142917 [details]
sampleTextLength.svg in LO Draw 6.1 beta 2

In LO Draw 6.1 beta 2 it looks better than before, but there is different from original view of SVG (in Chrome or in Inkscape)

confirm bug
Comment 7 QA Administrators 2019-06-20 02:49:47 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug